function [b_ b_err] = cbDeSegmentation(c, F, l)
%% Funkce, která zkontroluje CRC jednotlivých segmentů
% Tato funkce zkontroluje CRC jednotlivých segmentů(bloků), pak CRC
% odebere. Dále také odstraní přidané plnící bity a vrací posloupnost,
% která je složena ze vstupních dat a přidaného CRC(původního).

% index slouží jako ukazatel na začátek datového bloku
index = 0;
% e je vektor chyb při kontrole CRC
b_err = []; b_ = [];

% kontrola a odebrání CRC jednotlivých bloků, zapis o stavu chyb
if(length(l) > 1),
    for i = 1:length(l),
        [b err] = det_CRC('gCRC24B',c(index+1:index + l(i)));
        index = index + l(i);
        b_err = [b_err  err];
        b_ = [b_; b];
    end
else
    b_ = c;
end
% Odstranění přidaných plnících bitů
b_ = b_(F+1:end);